locals {
  name = "tofu-module-aws-iam-role"
}

module "aws_iam_ci_user" {
  providers = {
    aws.core  = aws.all["core"]
    aws.root  = aws.all["root"]
    aws.tests = aws.all["tests"]
  }
  source = "git::ssh://git@git.adyxax.org/adyxax/tofu-module-aws-iam-ci-user?depth=1&ref=1.0.1"

  name = local.name
  tests_policy_statements = jsonencode([{
    Action   = "iam:*"
    Effect   = "Allow"
    Resource = "arn:aws:iam::*:role/tftest",
  }])
}
